From f6ab60e8017dcbc12ba3223a51faaf3ba452cfec Mon Sep 17 00:00:00 2001
From: buczekp <buczekp>
Date: Thu, 19 Aug 2010 17:49:07 +0000
Subject: [PATCH] [SE-260] deploy PlasMapper as post installation action

SVN: 17541
---
 .../source/bash/sprint_post_install.sh        |  1 +
 .../bash/sprint_post_install_plasmids.sh      | 20 +++++++++++++++++++
 2 files changed, 21 insertions(+)
 create mode 100755 openbis_all/source/bash/sprint_post_install_plasmids.sh

diff --git a/openbis_all/source/bash/sprint_post_install.sh b/openbis_all/source/bash/sprint_post_install.sh
index 450668bd7ad..01165c34cd7 100755
--- a/openbis_all/source/bash/sprint_post_install.sh
+++ b/openbis_all/source/bash/sprint_post_install.sh
@@ -126,6 +126,7 @@ case "$SERVER" in
 	echo PLASMIDS:$PLASMIDS;
 	restore_common
 	create_individual_greeting_message
+    $BIN/sprint_post_install_plasmids.sh
 	;;
 	*)
 	echo Wrong Server! $SERVER is not in the list of openBIS Servers.;
diff --git a/openbis_all/source/bash/sprint_post_install_plasmids.sh b/openbis_all/source/bash/sprint_post_install_plasmids.sh
new file mode 100755
index 00000000000..e107fdb5b70
--- /dev/null
+++ b/openbis_all/source/bash/sprint_post_install_plasmids.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Finishes sprint installation of plasmids server
+# Warning: all changes to this file should be transfered to SVN repository
+
+JETTY_WEBAPPS=~/sprint/openBIS-server/jetty/webapps/
+CONFIG_DIR=~/config
+
+function copy_rec_or_die {
+  SRC=$1
+  DEST=$2
+	if [ -f $SRC ]; then
+		echo Copy $SRC to $DEST
+		cp -r $SRC $DEST
+	else
+			echo -e "\n[ERROR]: cannot copy $SRC to $DEST, because $SRC does not exist"
+		exit 1
+	fi
+}
+
+copy_rec_or_die $CONFIG_DIR/PlasMapper $JETTY_WEBAPPS
\ No newline at end of file
-- 
GitLab